/****************************************************************************
** Form implementation generated from reading ui file 'qnewgame.ui'
**
** Created: Wed Feb 15 16:09:13 2017
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "qnewgame.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a newGameDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
newGameDialog::newGameDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "newGameDialog" );
    newGameDialogLayout = new QVBoxLayout( this, 11, 6, "newGameDialogLayout"); 

    ButtonGroup1_2 = new QButtonGroup( this, "ButtonGroup1_2" );
    ButtonGroup1_2->setColumnLayout(0, Qt::Vertical );
    ButtonGroup1_2->layout()->setSpacing( 6 );
    ButtonGroup1_2->layout()->setMargin( 11 );
    ButtonGroup1_2Layout = new QVBoxLayout( ButtonGroup1_2->layout() );
    ButtonGroup1_2Layout->setAlignment( Qt::AlignTop );

    heuristicTurn = new QRadioButton( ButtonGroup1_2, "heuristicTurn" );
    heuristicTurn->setAutoResize( TRUE );
    heuristicTurn->setChecked( TRUE );
    ButtonGroup1_2Layout->addWidget( heuristicTurn );

    askTurn = new QRadioButton( ButtonGroup1_2, "askTurn" );
    askTurn->setAutoResize( TRUE );
    ButtonGroup1_2Layout->addWidget( askTurn );
    newGameDialogLayout->addWidget( ButtonGroup1_2 );

    ButtonGroup3 = new QButtonGroup( this, "ButtonGroup3" );
    ButtonGroup3->setColumnLayout(0, Qt::Vertical );
    ButtonGroup3->layout()->setSpacing( 6 );
    ButtonGroup3->layout()->setMargin( 11 );
    ButtonGroup3Layout = new QVBoxLayout( ButtonGroup3->layout() );
    ButtonGroup3Layout->setAlignment( Qt::AlignTop );

    cheatEnable = new QRadioButton( ButtonGroup3, "cheatEnable" );
    cheatEnable->setChecked( TRUE );
    ButtonGroup3Layout->addWidget( cheatEnable );

    cheatPartlyDisable = new QRadioButton( ButtonGroup3, "cheatPartlyDisable" );
    ButtonGroup3Layout->addWidget( cheatPartlyDisable );

    cheatDisable = new QRadioButton( ButtonGroup3, "cheatDisable" );
    ButtonGroup3Layout->addWidget( cheatDisable );
    newGameDialogLayout->addWidget( ButtonGroup3 );

    Layout2 = new QHBoxLayout( 0, 0, 6, "Layout2"); 

    buttonSolo = new QPushButton( this, "buttonSolo" );
    Layout2->addWidget( buttonSolo );

    buttonHotSeat = new QPushButton( this, "buttonHotSeat" );
    Layout2->addWidget( buttonHotSeat );

    buttonPbem = new QPushButton( this, "buttonPbem" );
    Layout2->addWidget( buttonPbem );

    buttonNetwork = new QPushButton( this, "buttonNetwork" );
    Layout2->addWidget( buttonNetwork );
    newGameDialogLayout->addLayout( Layout2 );
    languageChange();
    resize( QSize(385, 263).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonHotSeat, SIGNAL( clicked() ), this, SLOT( newHotseat() ) );
    connect( buttonPbem, SIGNAL( clicked() ), this, SLOT( newPBEM() ) );
    connect( heuristicTurn, SIGNAL( toggled(bool) ), this, SLOT( toggleHeuristicTurn(bool) ) );
    connect( cheatPartlyDisable, SIGNAL( toggled(bool) ), this, SLOT( toggleCheatPartlyEnable(bool) ) );
    connect( cheatEnable, SIGNAL( toggled(bool) ), this, SLOT( toggleCheatEnable(bool) ) );
    connect( cheatDisable, SIGNAL( toggled(bool) ), this, SLOT( toggleCheatDisable(bool) ) );
    connect( buttonSolo, SIGNAL( clicked() ), this, SLOT( newSolo() ) );
    connect( buttonNetwork, SIGNAL( clicked() ), this, SLOT( newNetwork() ) );

    // tab order
    setTabOrder( buttonSolo, buttonHotSeat );
    setTabOrder( buttonHotSeat, buttonPbem );
    setTabOrder( buttonPbem, buttonNetwork );
    setTabOrder( buttonNetwork, heuristicTurn );
    setTabOrder( heuristicTurn, askTurn );
    setTabOrder( askTurn, cheatEnable );
    setTabOrder( cheatEnable, cheatPartlyDisable );
    setTabOrder( cheatPartlyDisable, cheatDisable );
}

/*
 *  Destroys the object and frees any allocated resources
 */
newGameDialog::~newGameDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void newGameDialog::languageChange()
{
    setCaption( tr( "Choose the type of game" ) );
    ButtonGroup1_2->setTitle( tr( "Turn defenser toward the attacker after an unsuccessful attack" ) );
    heuristicTurn->setText( tr( "Only if attacker has at least one more AP." ) );
    askTurn->setText( tr( "Ask defenser player" ) );
    ButtonGroup3->setTitle( tr( "Cheat protection (for PBEM game only)" ) );
    cheatEnable->setText( tr( "Enable cheat protection" ) );
    cheatPartlyDisable->setText( tr( "Disable cheat protection and add a warning" ) );
    cheatDisable->setText( tr( "Completely disable cheat protection" ) );
    buttonSolo->setText( tr( "Solo (with AI)" ) );
    buttonHotSeat->setText( tr( "HotSeat" ) );
    buttonPbem->setText( tr( "PBEM" ) );
    buttonNetwork->setText( tr( "Network" ) );
}

void newGameDialog::newHotseat()
{
    qWarning( "newGameDialog::newHotseat(): Not implemented yet" );
}

void newGameDialog::newPBEM()
{
    qWarning( "newGameDialog::newPBEM(): Not implemented yet" );
}

void newGameDialog::newSolo()
{
    qWarning( "newGameDialog::newSolo(): Not implemented yet" );
}

void newGameDialog::newNetwork()
{
    qWarning( "newGameDialog::newNetwork(): Not implemented yet" );
}

void newGameDialog::toggleCheatDisable(bool)
{
    qWarning( "newGameDialog::toggleCheatDisable(bool): Not implemented yet" );
}

void newGameDialog::toggleCheatEnable(bool)
{
    qWarning( "newGameDialog::toggleCheatEnable(bool): Not implemented yet" );
}

void newGameDialog::toggleCheatPartlyEnable(bool)
{
    qWarning( "newGameDialog::toggleCheatPartlyEnable(bool): Not implemented yet" );
}

void newGameDialog::toggleHeuristicTurn(bool)
{
    qWarning( "newGameDialog::toggleHeuristicTurn(bool): Not implemented yet" );
}

